### Constructor

# Gio NetworkService new

since: 2.22

#### Declaration [src]

    GSocketConnectable*
    g_network_service_new (
      const gchar* service,
      const gchar* protocol,
      const gchar* domain
    )

#### Description [src]

Creates a new `GNetworkService` representing the given `service`, `protocol`, and `domain`. This will initially be unresolved; use the `GSocketConnectable` interface to resolve it.

Available since: 2.22

#### Parameters

`service`

  Type: `const gchar*`

  The service type to look up (eg, “ldap”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`protocol`

  Type: `const gchar*`

  The networking protocol to use for `service` (eg, “tcp”).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`domain`

  Type: `const gchar*`

  The DNS domain to look up the service in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GNetworkService`

A new `GNetworkService`.

The caller of the function takes ownership of the data, and is responsible for freeing it.